Create OCR Request
Introduction
This API processes GSTR-1, GSTR-2B, and GSTR-3B documents to extract GST return data. It automatically identifies the type of the uploaded document and extracts the relevant information from each return. The extracted data is returned in a structured JSON format, which can be used for further processing or analysis.
cURL
curl --location 'https://api.signzy.app/api/v3/gstr-analytics/create-ocr-request' \
--header 'Authorization: <auth token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"gstin": "29ABCDE1234F1Z5",
"fromDate": "022025",
"toDate": "012026",
"documents": [
"url1",
"url2"
]
}'Endpoints
https://api.signzy.app/api/v3/gstr-analytics/create-ocr-requestRequest Headers
Key | Value |
|---|---|
Authorization | shared by Signzy |
Content-type | application/json |
Request Body
{
"gstin": "29ABCDE1234F1Z5",
"fromDate": "022025",
"toDate": "012026",
"documents": [
"url1",
"url2"
]
}Input Mapping
PARAMETERS | DESCRIPTION | TYPE | VALUE (COMPULSORY OR OPTIONAL) |
|---|---|---|---|
gstin | GSTIN of the business/customer for which the analytics report/raw data is to be generated/fetched | String | COMPULSORY |
fromDate | Starting date (MMYYYY format) from which the analytics report is to be generated | String | COMPULSORY |
toDate | Ending date (MMYYYY format) till which the analytics report is to be generated | String | COMPULSORY |
documents | List of persist files of GSTR Docs | Array of Strings | COMPULSORY |
Response Data
{
result: {
status: "SUCCESS",
requestId: "95087786-d989-4f92-b0be-dd507a5c612f",
message: "OCR Request Created Successfully"
}
}PARAMETERS | DESCRIPTION | TYPE | VALUE (COMPULSORY OR OPTIONAL) |
|---|---|---|---|
result | This parameter contains the actual output. | Object | COMPULSORY |
requestId | This is a unique 36-character long alphanumeric string created during the successful submisson. | String | COMPULSORY |
message | It indicates whether the OTP generation step was successful or not. | String | COMPULSORY |
status | Shows status of the request | String | COMPULSORY |
Sample Status Codes And Messages
{
"error": {
"name": "error",
"message": "Invalid gstin",
"status": 400,
"reason": "VALIDATION_ERROR",
"type": "Bad Request",
"statusCode": 200
}
}